Subject: who doesn't read what man page says it does, so doesn't work

From: "L. A. Walsh" <[email-masked]>
Date: Mon, 26 Sep 2016 18:40:29 -0700

coreutils-8.23 x64
manpage says:
       If  FILE is not specified, use /var/run/utmp.  /var/log/wtmp as 
FILE is
       common.  If ARG1 ARG2 given, -m presumed: 'am i'  or  'mom  
likes'  are
       usual.

    Behavior says:
access("/var/run/utmpx", F_OK)          = -1 ENOENT (No such file or 
directory)
open("/var/run/utmp", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or 
directory)
access("/var/run/utmpx", F_OK)          = -1 ENOENT (No such file or 
directory)
open("/var/run/utmp", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or 
directory)
close(1)                                = 0
close(2)                                = 0
exit_group(0)                           = ?
+++ exited with 0 +++

---
just so happens my 'who' record is in /var/log/wtmp, and hacking in
a softlink on the ephemeral /var/run/utmp to the 2nd listed location will
make the 'who' command function until the next reboot.

Has this been fixed (or is this a suse special)?  That it accesses
the same file twice in a row instead of two separate files seems a
bit odd.